<?php
/*------------------------------------------------------------------------
# "Hot Photo Portfolio" Joomla template - April, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters
		
		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "285"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "285");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$overallWidth = $templateWidth;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
			
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText", "#7B7F80");
		$linksColor = $this->params->get("linksColor", "#ADA9AA");	
		$bgStyle = $this->params->get("bgStyle", "5");
		$solidBg = $this->params->get("solidBg", "#000000");	
		$menuAnimationEffect = $this->params->get("menuAnimationEffect", "fadeToggle");	
		$topMenuButton = $this->params->get("topMenuButton", "#000000");
		$topMenuHoverButton = $this->params->get("topMenuHoverButton", "#FFFFFF");
		$topMenuText = $this->params->get("topMenuText", "#9A5A1C");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#FFFFFF");
		$topMenuSubBg = $this->params->get("topMenuSubBg", "#000000");
		$topMenuSubBgHover = $this->params->get("topMenuSubBgHover", "#FFD441");
		$topMenuSubText = $this->params->get("topMenuSubText", "#FFFFFF");
		$topMenuSubTextHover = $this->params->get("topMenuSubTextHover", "#000000");
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#ffffff");
		$bottomHeading = $this->params->get("bottomHeading", "#ADA9AA");
		$bottomText = $this->params->get("bottomText", "#7B7F80");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ADA9AA");
		$headingText = $this->params->get("headingText", "#ADC205");
		$headingHoverText = $this->params->get("headingHoverText", "#ADC205");
		$columnHeading = $this->params->get("columnHeading", "#ADA9AA");
		$columnText = $this->params->get("columnText", "#7B7F80");
		$moduleFirstWord = $this->params->get("moduleFirstWord", "#ADC205");
		$color1 = $this->params->get("color1", "yellow");
		$color2 = $this->params->get("color2", "green");
		
		}
?>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
#nav li.active {
	behavior: url(<?php echo $template_path ?>/css/PIE.php);
}
</style>
<![endif]-->

<?php JHtml::_('bootstrap.framework', true); ?>

<!-- top menu -->


<script type="text/javascript">
	(function(jQuery){  
		jQuery.fn.dropDownMenu_topmenu = function(options) {  
	  
			var defaults = {  
				speed: 300,  
				effect: 'fadeToggle'
			};  
			var options = jQuery.extend(defaults, options);  
	      
			return this.each(function() {

				var screenWidth = jQuery("body").width();

		    	jQuery('#nav ul').hide();
		    	jQuery('#nav li ul li').filter(':last-child').css('border-bottom', 'none');

		    	if(screenWidth > 850) {

			    	jQuery('#nav li').hover(function(){
			      		jQuery(this).find('ul:first:not(:visible)').stop(true,true)[options.effect](options.speed);
			    	},function(){
			      		jQuery(this).css('position', 'relative')
			                  		.find('ul:first:visible').stop(true,true)[options.effect](options.speed);
			    	});

			    }else{

			    	jQuery('#nav li a[href="#"]').toggle(function(){
			      		jQuery(this).parent().find('ul:first:not(:visible)').stop(true,true)[options.effect](options.speed);
			    	},function(){
			      		jQuery(this).parent().css('position', 'relative').find('ul:first:visible').stop(true,true)[options.effect](options.speed);
			    	});

			    }
		  	});  
	 	};  
	})(jQuery);
	jQuery(document).ready(function(){
		jQuery('#nav').dropDownMenu_topmenu({
			speed: 300,
			effect: '<?php echo $menuAnimationEffect; ?>'
      	});
      	var navHeight = jQuery('ul#nav > li').outerHeight()
    	jQuery('ul#nav').parent('div').css('height', navHeight)
	});
</script>  

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

<script type="text/javascript" src="<?php echo $template_path ?>/js/responsive-nav.min.js"></script>
</head>
<body>
<div id="header_wrap">
	<div class="header_module">
    	<div class="logo">
        	<div class="logo_pad">
        		<a href="index.php"><img src="<?php echo $template_path ?>/images/logo.png" width="255" height="25" alt="joomla photo portfolio" /></a>
            </div>
        </div>
        <div id="header_search">
        	<div class="header_search_pad">
        		<jdoc:include type="modules" name="user4" style="none" />
            </div>
        </div>
        <div class="clr"></div>
    </div>
</div>
<div class="topmenu_wrap">
    <div class="topmenu">
    	<nav class="container_topmenu">
	        <jdoc:include type="modules" name="user3" style="none" />
	    </nav>
    </div>
</div>
<div id="content_gradient">
    <div class="hotwrapper">
        <?php if ($uppermodules) { ?>
        <div class="upper">
            <?php if($showadvert[1]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="none" /></div>
            <?php } if($showadvert[2]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="hot" /></div>
            <?php } if($showadvert[3]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="hot" /></div>
            <?php } if($showadvert[4]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php }else{ ?>
        <div class="upper"></div>
        <?php } ?>
        <div class="main_area">
            <?php if ($showleft) { ?>
            <div class="column_left">
            	<div class="column_left_pad">
                	<jdoc:include type="modules" name="left" style="hot" />
                </div>
            </div>
            <?php } ?>
                <div class="content_wrap">
                        <div class="content_pad">
                            <?php if ($showuser1) { ?>
                            <div class="module_inset">
                                <jdoc:include type="modules" name="user1" style="hot" />
                            </div>
                            <?php } ?>
                            
                                <jdoc:include type="message" />
                                <jdoc:include type="component" />
                            
                            <?php if ($showuser2) { ?>
                            <div class="module_toolbar">
                                <jdoc:include type="modules" name="user2" style="hot" />
                            </div>
                            <?php } ?>
                        </div>
                <div class="clr"></div>
            </div> 
            <?php if ($showright) { ?>
            <div class="column_right">
            	<div class="column_right_pad">
                	<jdoc:include type="modules" name="right" style="hot" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php if ($showbreadcrumbs) { ?>
        <div class="path">
            <div class="path_pad">
                <jdoc:include type="modules" name="breadcrumbs" style="none" />
                <jdoc:include type="modules" name="carousel" style="none" />
            </div>
        </div>
        <?php } ?>
        <?php if ($bottommodules) { ?>
        <div class="bottom">
            <?php if($showuser[5]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="hot" /></div>
            <?php } if($showuser[6]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="hot" /></div>
            <?php } if($showuser[7]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="hot" /></div>
            <?php } if($showuser[8]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap">
	<div class="footer_content">
    	<?php if ($footermodules) { ?>
        <div class="footer_modules">
            <?php if($showfooter[1]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer1" style="hot" /></div>
            <?php } if($showfooter[2]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer2" style="hot" /></div>
            <?php } if($showfooter[3]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer3" style="hot" /></div>
            <?php } if($showfooter[4]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer4" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap_copyright">
    <div class="footer_wrap_copyright_content">
        <div class="footer">
            <div class="footer_pad">
                <jdoc:include type="modules" name="footer" />
                <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. <a href="https://www.hotjoomlatemplates.com">Joomla Templates</a> by HotThemes.</p>
            </div>
        </div>
        <div class="footer2">
            <div class="footer_pad">
                <jdoc:include type="modules" name="bottom" style="none" />
            </div>
        </div><div class="clr"></div>
    </div>
</div>
<script>
var navigation = responsiveNav(".container_topmenu");
</script>
<jdoc:include type="modules" name="debug" style="none" />  
</body>
</html>